import { Command } from './command';
export class SetCmd extends Command {
    execute(options) {
        const { path, value, } = options;
        const oldValue = this.store.get(path);
        this.store.set(path, value);
        return () => {
            this.store.set(path, oldValue);
        };
    }
}
